> For the complete documentation index, see [llms.txt](https://circular-protocol.gitbook.io/standard-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://circular-protocol.gitbook.io/standard-apis/api-docs/javascript/getwalletbalance.md).

# getWalletBalance()

**Method Signature**

```javascript
async function getWalletBalance(blockchain, address, asset)
```

**Parameters**

| Name         | Type   | Description               |
| ------------ | ------ | ------------------------- |
| `blockchain` | String | Blockchain address in hex |
| `address`    | String | Wallet address in hex     |
| `asset`      | String | Asset name                |

**Example**

```javascript
var blockchain = "0x8a20baa40c45dc5055aeb26197c203e576ef389d9acb171bd62da11dc5ad72b2";
var address = "0x8b1dd25076c04c5139acba458f86c69cd2d322c61d19bc28daa3bbd945083738";

var balance = await CircularProtocolAPI.getWalletBalance(blockchain, address, "CIRX");
```

**Result**

The result will be of type `JSON`.

{% tabs %}
{% tab title="200" %}

```json
{
    "Result": 200,
    "Response": {
        "Balance": 1989449.200000,
        "Description": "Circular Coin"
    },
    "Node": "02fc8b01bfc5dc2911941871e6de81f5f6fe60f3961343f802ad78e7e077ea32"
}
```

{% endtab %}

{% tab title="108" %}
When the wallet doesn't exists:

```json
{
    "Result": 108,
    "Response": "Wallet Not found",
    "Node": "02fc8b01bfc5dc2911941871e6de81f5f6fe60f3961343f802ad78e7e077ea32"
}
```

{% endtab %}

{% tab title="118" %}
When the blockchain is missing or the blockchain address is wrong:

```json
{
    "Result": 118,
    "Response": "Wrong Format",
    "Node": "02fc8b01bfc5dc2911941871e6de81f5f6fe60f3961343f802ad78e7e077ea32"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/javascript/getwalletbalance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
